Subject: Eliminating Triangle Routing and RegReg: A Requirement? (RE: [mobile-ip] IPv6 Regional Registration - identifying requirem ents)

From: James Kempf <[email-masked]>
Date: Thu, 12 Apr 2001 09:12:58 -0700 (PDT)

Phil/Karim,

I think the problem is that both RegReg proposals currently reintroduce
triangle routing. The elimination of triangle routing was viewed as
one of the big steps forward with MIPv6. Granted, the fact that the MAP/GFA is 
topologically closer to the mobile node means that the size of the mobile-bound 
leg will be smaller. And, since the network engineer has complete freedom to 
place the MAP/GFA as they choose, it could be placed at a border router, where 
the mobile-bound packets have to come through anyway. 

I can't see much possibility for getting around this if the regional care
of address is to remain unchanged. There is basically a contradiction
between the major requirement of RegReg to reduce signalling over wide
areas and the need for a binding update when the mobile changes care of
address in order to eliminate triangle routing.

Therefore, I think a perhaps better way to handle this would be to
make sure that the RegReg hierarchical agent is designed flexibly
enough so that it can be placed at any point in the network:

	Recognizing that triangle routing is unavoidable if signalling
	is to be reduced over a wide area, the RegReg protocol MUST
	be designed such that intermediate agents/routers can be
	flexibly inserted into the path of mobile-bound traffic such
	that the triangle legs correspond to  the normal routing
	paths that mobile-bound traffic would take without RegReg.
	
Or something like that.

		jak

>From: "Karim El-Malki (ERA)" <[email-masked]>
>To: "'Phil Roberts '" <[email-masked]>, "[email-masked]' 
'" <[email-masked]>
>Subject: RE: [mobile-ip] IPv6 Regional Registration - identifying requirem ents
>Date: Thu, 12 Apr 2001 17:49:36 +0200
>
>I can't understand the route opt. requirement either.
>The MN supports MIPv6 and can decide whether it wants to
>use the local anchor point or not when sending BUs to CNs.
>There is no need to require anything from the local anchor
>point itself. I believe that the HMIPv6 draft has a
>note on this. If the MN determines that the CN lies within
>its same (MAP) site then it may decide to communicate directly
>with the CN.
>Regards
>/Karim
>
>-----Original Message-----
>From: Phil Roberts
>To: [email-masked]'
>Sent: 2001-04-11 22:26
>Subject: RE: [mobile-ip] IPv6 Regional Registration - identifying requirem	
ents
>
>Agreed.   But I can't tell from the requirement what exactly is
>required.  Is it something like "2 MNs behind the same LMA shall use an
>optimized route that doesn't go through the LMA?"
> 
>
>-----Original Message-----
>From: Muhammad Jaseemuddin [mailto:[email-masked]]
>Sent: Wednesday, April 11, 2001 4:21 PM
>To: [email-masked]'
>Subject: RE: [mobile-ip] IPv6 Regional Registration - identifying
>requirem ents
>
>
>
>Phil: 
>
> Route optimization does not fully optimize the route in case of any
>form of regional registration. e.g. HMIPv6. For example if the CN is
>outside the domain, then the packets will follow the optimized path upto
>the local mobility anchor point (MAP), and then follow the optimal path
>to the mobile. If the MAP is not co-located with the border routers,
>then the scheme does not use optimal route from the border routers to
>the mobile. This situation becomes more conspicous if the CN is another
>mobile within the domain but necessarily on the same subnet as the the
>subnet on which the mobile's AR is connected. One can argue that in that
>case MN should send BU to CN with its LCOA if it (somehow) discovers
>that the CN is actually a mobile in the same domain. Then, intra-MAP
>domain signaling will be increased and the benefit of MAP will be less
>obvious.
>
> What I interepreted from Hongyi's requirement 10 is to address the
>above issue? 
>
>Cheers, 
>- Muhammad Jaseemuddin 
>  
>
>
>	-----Original Message----- 
>From:   Phil Roberts [SMTP:[email-masked]] 
>Sent:   Tuesday, April 10, 2001 10:35 AM 
>To:     [email-masked]' 
>Subject:        RE: [mobile-ip] IPv6 Regional Registration - identifying
>requirem ents 
>
>	Hi, 
>  
>I'm a little confused about your req 10.  MIP v6 already has route
>optimization.  Do you envision req 10 to provide an alternative to that
>or to interoperate with that or ... something else?
>
>	
>Thanks, 
>Phil 
>  
>
>	-----Original Message-----
>From: Hongyi Li [ mailto:[email-masked]
><mailto:[email-masked]> ]
>Sent: Tuesday, April 10, 2001 10:21 AM
>To: [email-masked]'
>Subject: RE: [mobile-ip] IPv6 Regional Registration - identifying
>requirem ents
>
>
>
>	Hi Phil,
>  Here are few more requirements I think that are impportant for RR/LMM
>(I like
>the term localized mobility management too): 
>
>	 10) LMM SHALL provide optimized routing for mobile-to-mobile
>communication.
> 11) LMM SHOULD minimize the number of network nodes affected by handoff
>signals.
> 12) LMM SHOULD support auto-configuration capabilities for mobile
>agents/FAs, access routers.
> 13) LMM SHOULD simplify the network design and provisioning for
>enabling LMM
>capability in a network and allow progressive LMM deployment
>capabilities. 
>
>	Some more comments in lines:
>  
>> 1) Regional registration shall be introduced to minimize the signaling
>> traffic to the home agent or correspondent nodes for
>> intra-domain mobility
>> 2) Regional registration shall not introduce new overhead on
>> links between
>> the mobile and the regional registration agents
>> 3) Connectivity to the mobiles shall not be interrupted in
>> the presence of
>> the failure of regional registration agents
>> 4) Regional registration shall scale to support millions of nodes in a
>> visited network 
>
>	LMM SHALL be scalable in terms of number of connected users
>(i.e., active + dormant =  millions) and the number of users on the
>move.
>
>	> 5) Regional registration shall be secure against malicious
>> behavior from
>> visiting mobiles
>> 6) Regional registration shall allow multiple levels of hierarchy
>> 7) Regional registration shall support fast handoffs
>> 8) Regional registration shall not require changes to the
>> mobile node, the
>> home agent, or correspondent nodes
>> 9) Regional registration shall not introduce host routes in
>> routing tables 
>
>	I agree with Theo comments about host route. The LMM SHOULD
>minimize the amount of host routes in the routers. 
>
>	- Hongyi 
>